Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class MediaOutputTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.taglib.html.jsp.MediaOutputTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class MediaOutputTag

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`MediaOutputTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
`void` | `setAlign(javax.el.ValueExpression __align)` Deprecated.
`void` | `setArchive(javax.el.ValueExpression __archive)` space-separated list of URIs Setter for archive
`void` | `setBorder(javax.el.ValueExpression __border)` Deprecated.
`void` | `setCacheable(javax.el.ValueExpression __cacheable)` If "true", the resource is cached (on the server and the client sides).
`void` | `setCharset(javax.el.ValueExpression __charset)` The character encoding of a resource designated by this hyperlink Setter for charset
`void` | `setClassid(javax.el.ValueExpression __classid)` identifies an implementation Setter for classid
`void` | `setCodebase(javax.el.ValueExpression __codebase)` base URI for classid, data, archive Setter for codebase
`void` | `setCodetype(javax.el.ValueExpression __codetype)` content type for code Setter for codetype
`void` | `setConverter(javax.el.ValueExpression __converter)` ID of a converter to be used or a reference to a converter.
`void` | `setCoords(javax.el.ValueExpression __coords)` This attribute specifies the position and shape on the screen.
`void` | `setCreateContent(javax.el.MethodExpression __createContent)` Method call expression to send generated resource to OutputStream.
`void` | `setCreateContentExpression(javax.el.MethodExpression __createContentExpression)` Method call expression to send generated resource to OutputStream.
`void` | `setDeclare(javax.el.ValueExpression __declare)` declare but don't instantiate flag Setter for declare
`void` | `setDir(javax.el.ValueExpression __dir)` Direction indication for text that does not inherit directionality.
`void` | `setElement(javax.el.ValueExpression __element)` Name of html element for resource link - may be &lt;a&gt; &lt;img&gt; &lt;object&gt; &lt;applet&gt; &lt;script&gt; or &lt;link&gt; Setter for element
`void` | `setExpires(javax.el.ValueExpression __expires)` The attribute allows to manage caching and defines the period after which a resource is reloaded.
`void` | `setHreflang(javax.el.ValueExpression __hreflang)` Base language of a resource specified with the href attribute; hreflang may only be used with href Setter for hreflang
`void` | `setHspace(javax.el.ValueExpression __hspace)` Deprecated.
`void` | `setIsmap(javax.el.ValueExpression __ismap)` use server-side image map Setter for ismap
`void` | `setLang(javax.el.ValueExpression __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setLastModified(javax.el.ValueExpression __lastModified)` The attribute allows to manage caching.
`void` | `setMimeType(javax.el.ValueExpression __mimeType)` Geterated content mime-type for append to response header ( 'image/jpeg' etc ) Setter for mimeType
`void` | `setOnblur(javax.el.ValueExpression __onblur)` JavaScript code.
`void` | `setOnclick(javax.el.ValueExpression __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(javax.el.ValueExpression __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` JavaScript code.
`void` | `setOnkeydown(javax.el.ValueExpression __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(javax.el.ValueExpression __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(javax.el.ValueExpression __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(javax.el.ValueExpression __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(javax.el.ValueExpression __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(javax.el.ValueExpression __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(javax.el.ValueExpression __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(javax.el.ValueExpression __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRel(javax.el.ValueExpression __rel)` The relationship from the current document to the anchor specified by this hyperlink.
`void` | `setRev(javax.el.ValueExpression __rev)` A reverse link from the anchor specified by this hyperlink to the current document.
`void` | `setSession(javax.el.ValueExpression __session)` If "true", a session for an object generation is restored.
`void` | `setShape(javax.el.ValueExpression __shape)` This attribute specifies the shape of a region.
`void` | `setStandby(javax.el.ValueExpression __standby)` message to show while loading Setter for standby
`void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTarget(javax.el.ValueExpression __target)` This attribute specifies the name of a frame where a document is to be opened.
`void` | `setTitle(javax.el.ValueExpression __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setType(javax.el.ValueExpression __type)` The content type of the resource designated by this hyperlink Setter for type
`void` | `setUriAttribute(javax.el.ValueExpression __uriAttribute)` Name of attribute for resource-link attribute ( 'href' for &lt;a&gt;, 'src' for &lt;img&gt; or &lt;script&gt;, etc) Setter for uriAttribute
`void` | `setUsemap(javax.el.ValueExpression __usemap)` use client-side image map Setter for usemap
`void` | `setValue(javax.el.ValueExpression __value)` Data value calculated at render time and stored in URI (also as part of cache Key ), at generation time passed to send method.
`void` | `setVspace(javax.el.ValueExpression __vspace)` Deprecated.

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### MediaOutputTag

    public MediaOutputTag()

Method Detail

### setAccesskey

    public void setAccesskey(javax.el.ValueExpression __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### setAlign

    public void setAlign(javax.el.ValueExpression __align)

  Deprecated. This attribute specifies the position of an IMG, OBJECT, or APPLET with respect to its context. The possible values are "bottom", "middle", "top", "left" and "right". The default value is "middle". Setter for align

  Parameters:
    `align` - - new value

### setArchive

    public void setArchive(javax.el.ValueExpression __archive)

  space-separated list of URIs Setter for archive

  Parameters:
    `archive` - - new value

### setBorder

    public void setBorder(javax.el.ValueExpression __border)

  Deprecated. This attribute specifies the width of an IMG or OBJECT border, in pixels. The default value for this attribute depends on the user agent Setter for border

  Parameters:
    `border` - - new value

### setCacheable

    public void setCacheable(javax.el.ValueExpression __cacheable)

  If "true", the resource is cached (on the server and the client sides). Setter for cacheable

  Parameters:
    `cacheable` - - new value

### setCharset

    public void setCharset(javax.el.ValueExpression __charset)

  The character encoding of a resource designated by this hyperlink Setter for charset

  Parameters:
    `charset` - - new value

### setClassid

    public void setClassid(javax.el.ValueExpression __classid)

  identifies an implementation Setter for classid

  Parameters:
    `classid` - - new value

### setCodebase

    public void setCodebase(javax.el.ValueExpression __codebase)

  base URI for classid, data, archive Setter for codebase

  Parameters:
    `codebase` - - new value

### setCodetype

    public void setCodetype(javax.el.ValueExpression __codetype)

  content type for code Setter for codetype

  Parameters:
    `codetype` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  ID of a converter to be used or a reference to a converter. Setter for converter

  Parameters:
    `converter` - - new value

### setCoords

    public void setCoords(javax.el.ValueExpression __coords)

  This attribute specifies the position and shape on the screen. The number and order of values depends on the shape being defined. Possible combinations: rect: left-x, top-y, right-x, bottom-y. circle: center-x, center-y, radius. Note. When the radius value is percentage value, user agents should calculate the final radius value based on the associated object's width and height. The radius should be the smaller value of the two. poly: x1, y1, x2, y2, ..., xN, yN. The first x and y coordinate pair and the last should be the same to close the polygon. When these coordinate values are not the same, user agents should infer an additional coordinate pair to close the polygon. Coordinates are relative to the top, left corner of the object. All values are lengths. All values are separated by commas Setter for coords

  Parameters:
    `coords` - - new value

### setCreateContent

    public void setCreateContent(javax.el.MethodExpression __createContent)

  Method call expression to send generated resource to OutputStream. It must have two parameter with a type of java.io.OutputStream and java.lang.Object ( deserialized value of data attribute ) Setter for createContent

  Parameters:
    `createContent` - - new value

### setCreateContentExpression

    public void setCreateContentExpression(javax.el.MethodExpression __createContentExpression)

  Method call expression to send generated resource to OutputStream. It must have two parameter with a type of java.io.OutputStream and java.lang.Object ( deserialized value of data attribute ) Setter for createContentExpression

  Parameters:
    `createContentExpression` - - new value

### setDeclare

    public void setDeclare(javax.el.ValueExpression __declare)

  declare but don't instantiate flag Setter for declare

  Parameters:
    `declare` - - new value

### setDir

    public void setDir(javax.el.ValueExpression __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### setElement

    public void setElement(javax.el.ValueExpression __element)

  Name of html element for resource link - may be &lt;a&gt; &lt;img&gt; &lt;object&gt; &lt;applet&gt; &lt;script&gt; or &lt;link&gt; Setter for element

  Parameters:
    `element` - - new value

### setExpires

    public void setExpires(javax.el.ValueExpression __expires)

  The attribute allows to manage caching and defines the period after which a resource is reloaded. Setter for expires

  Parameters:
    `expires` - - new value

### setHreflang

    public void setHreflang(javax.el.ValueExpression __hreflang)

  Base language of a resource specified with the href attribute; hreflang may only be used with href Setter for hreflang

  Parameters:
    `hreflang` - - new value

### setHspace

    public void setHspace(javax.el.ValueExpression __hspace)

  Deprecated. This attribute specifies the amount of white space to be inserted to the left and right of an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Setter for hspace

  Parameters:
    `hspace` - - new value

### setIsmap

    public void setIsmap(javax.el.ValueExpression __ismap)

  use server-side image map Setter for ismap

  Parameters:
    `ismap` - - new value

### setLang

    public void setLang(javax.el.ValueExpression __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### setLastModified

    public void setLastModified(javax.el.ValueExpression __lastModified)

  The attribute allows to manage caching. A browser can send request with the header "If-Modified-Since" for necessity of object reloading. If time of modification is earlier, then the framework doesn't call generation and return code 304. Setter for lastModified

  Parameters:
    `lastModified` - - new value

### setMimeType

    public void setMimeType(javax.el.ValueExpression __mimeType)

  Geterated content mime-type for append to response header ( 'image/jpeg' etc ) Setter for mimeType

  Parameters:
    `mimeType` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  JavaScript code. The onblur event occurs when an element loses focus either by the pointing device or by tabbing navigation. It may be used with the same elements as onfocus Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnclick

    public void setOnclick(javax.el.ValueExpression __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### setOndblclick

    public void setOndblclick(javax.el.ValueExpression __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  JavaScript code. The onfocus event occurs when an element gets focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOnkeydown

    public void setOnkeydown(javax.el.ValueExpression __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### setOnkeypress

    public void setOnkeypress(javax.el.ValueExpression __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### setOnkeyup

    public void setOnkeyup(javax.el.ValueExpression __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### setOnmousedown

    public void setOnmousedown(javax.el.ValueExpression __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### setOnmousemove

    public void setOnmousemove(javax.el.ValueExpression __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### setOnmouseout

    public void setOnmouseout(javax.el.ValueExpression __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### setOnmouseover

    public void setOnmouseover(javax.el.ValueExpression __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### setOnmouseup

    public void setOnmouseup(javax.el.ValueExpression __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### setRel

    public void setRel(javax.el.ValueExpression __rel)

  The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types Setter for rel

  Parameters:
    `rel` - - new value

### setRev

    public void setRev(javax.el.ValueExpression __rev)

  A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types Setter for rev

  Parameters:
    `rev` - - new value

### setSession

    public void setSession(javax.el.ValueExpression __session)

  If "true", a session for an object generation is restored. Setter for session

  Parameters:
    `session` - - new value

### setShape

    public void setShape(javax.el.ValueExpression __shape)

  This attribute specifies the shape of a region. The possible values are "default", "rect", "circle" and "poly". Setter for shape

  Parameters:
    `shape` - - new value

### setStandby

    public void setStandby(javax.el.ValueExpression __standby)

  message to show while loading Setter for standby

  Parameters:
    `standby` - - new value

### setStyle

    public void setStyle(javax.el.ValueExpression __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### setStyleClass

    public void setStyleClass(javax.el.ValueExpression __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### setTabindex

    public void setTabindex(javax.el.ValueExpression __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### setTarget

    public void setTarget(javax.el.ValueExpression __target)

  This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements Setter for target

  Parameters:
    `target` - - new value

### setTitle

    public void setTitle(javax.el.ValueExpression __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### setType

    public void setType(javax.el.ValueExpression __type)

  The content type of the resource designated by this hyperlink Setter for type

  Parameters:
    `type` - - new value

### setUriAttribute

    public void setUriAttribute(javax.el.ValueExpression __uriAttribute)

  Name of attribute for resource-link attribute ( 'href' for &lt;a&gt;, 'src' for &lt;img&gt; or &lt;script&gt;, etc) Setter for uriAttribute

  Parameters:
    `uriAttribute` - - new value

### setUsemap

    public void setUsemap(javax.el.ValueExpression __usemap)

  use client-side image map Setter for usemap

  Parameters:
    `usemap` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  Data value calculated at render time and stored in URI (also as part of cache Key ), at generation time passed to send method. Can be used for update cache at change of generating conditions, and for creating beans as "Lightweight" pattern components (request scope). IMPORTANT: Since serialized data stored in URI, avoid using big objects. Setter for value

  Parameters:
    `value` - - new value

### setVspace

    public void setVspace(javax.el.ValueExpression __vspace)

  Deprecated. This attribute specifies the amount of white space to be inserted above and below an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Setter for vspace

  Parameters:
    `vspace` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.faces.webapp.UIComponentELTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `javax.faces.webapp.UIComponentELTag`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.